package com.pj.api.client.admin;

import com.pj.api.FeignInterceptor;
import com.pj.api.consts.FeignConsts;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 系统配置 服务
 * @author kong
 *
 */
@FeignClient(
		name = FeignConsts.SP_ADMIN, 				// 服务名称
		configuration = FeignInterceptor.class,		// 请求拦截器 
		fallbackFactory = AdminInterfaceFallback.class	// 服务降级
		)	
public interface AdminInterface {


	
}
